ReformElectricEIR
Date: 2016-04-25

convertEIR

## Class ReformElectricEIR

- java.lang.Object
- - convertEIR.ReformElectricEIR

-     public class ReformElectricEIR
      extends java.lang.Object

  This class represents a chiller from type "reformulated ElectricEIR".

  ### License agreement

  The use of this program is subjected to the following license terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReformElectricEIR()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompMotorEfficiency()` This method gets the compressor efficiency of the chiller.
    `java.util.ArrayList<ICurve>` | `getCurves()` This method gets the curves describing the chiller.
    `java.util.ArrayList<java.lang.String>` | `getFunctionNames()` This method gets the functions names of the chiller.
    `java.lang.String` | `getMaxPLR()` This method gets the maximum part load ratio of the chiller.
    `java.lang.String` | `getMinPLR()` This method gets the minimum part load ratio of the chiller.
    `java.lang.String` | `getMinULR()` This method gets the minimum unloading ratio of the chiller.
    `java.lang.String` | `getName()` This method gets the name of the chiller.
    `java.lang.String` | `getOptPLR()` This method gets the optimum part load ratio of the chiller.
    `java.lang.String` | `getRefCapacity()` This method gets the reference capacity of the chiller.
    `void` | `getRefCop(java.lang.String refCop)` This method sets the reference COP of the chiller.
    `java.lang.String` | `getStringDefinitionOfReformElectricEIRObject()` This method gets the comments definition of the chiller.
    `void` | `setCompMotorEfficiency(java.lang.String compMotorEfficiency)` This method sets the compressor efficiency of the chiller.
    `void` | `setCurves(java.util.ArrayList<ICurve> curves)` This method sets the curves describing the chiller.
    `void` | `setFunctionNames(java.util.ArrayList<java.lang.String> functionNames)` This method sets the functions names of the chiller.
    `void` | `setMaxPLR(java.lang.String maxPLR)` This method gets the maximum part load ratio of the chiller.
    `void` | `setMinPLR(java.lang.String minPLR)` This method sets the minimum part load ratio of the chiller.
    `void` | `setMinULR(java.lang.String minULR)` This method sets the minimum unloading ratio of the chiller.
    `void` | `setName(java.lang.String name)` This method sets the name of the chiller.
    `void` | `setOptPLR(java.lang.String optPLR)` This method gets the optimum part load ratio of the chiller.
    `void` | `setRefCapacity(java.lang.String refCapacity)` This method sets the reference capacity of the chiller.
    `void` | `setRefChilledWaterFlowRate(java.lang.String parameter)` This method sets the reference chilled water flow rate of the chiller.
    `void` | `setRefCondenserWaterFlowRate(java.lang.String parameter)` This method sets the condenser water flow rate of the chiller.
    `void` | `setRefCop(java.lang.String refCop)` This method gets the reference COP of the chiller.
    `void` | `setRefLeavingChilledWaterTemp(java.lang.String parameter)` This method sets the reference leaving chilled water temperature of the chiller.
    `void` | `setRefLeavingCondenserFluidTemp(java.lang.String parameter)` This method sets the reference leaving condenser water temperature of the chiller.
    `void` | `setStringDefinitionOfReformElectricEIRObject(java.lang.String stringDefinitionOfReformElectricEIRObject)` This method sets the comments definition of the chiller.
    `java.lang.String` | `toMoRecordString()` This method is used to convert chillers data into a String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReformElectricEIR

          public ReformElectricEIR()

  - ### Method Detail

    - #### toMoRecordString

          public java.lang.String toMoRecordString()

      This method is used to convert chillers data into a String.
      Returns:
        the converted chillers data as a string.

    - #### getRefCapacity

          public java.lang.String getRefCapacity()

      This method gets the reference capacity of the chiller.

    - #### setRefCapacity

          public void setRefCapacity(java.lang.String refCapacity)

      This method sets the reference capacity of the chiller.

    - #### getFunctionNames

          public java.util.ArrayList<java.lang.String> getFunctionNames()

      This method gets the functions names of the chiller.

    - #### setFunctionNames

          public void setFunctionNames(java.util.ArrayList<java.lang.String> functionNames)

      This method sets the functions names of the chiller.

    - #### getCurves

          public java.util.ArrayList<ICurve> getCurves()

      This method gets the curves describing the chiller.

    - #### setCurves

          public void setCurves(java.util.ArrayList<ICurve> curves)

      This method sets the curves describing the chiller.

    - #### getName

          public java.lang.String getName()

      This method gets the name of the chiller.

    - #### setName

          public void setName(java.lang.String name)

      This method sets the name of the chiller.

    - #### setRefCop

          public void setRefCop(java.lang.String refCop)

      This method gets the reference COP of the chiller.

    - #### getRefCop

          public void getRefCop(java.lang.String refCop)

      This method sets the reference COP of the chiller.

    - #### setRefLeavingChilledWaterTemp

          public void setRefLeavingChilledWaterTemp(java.lang.String parameter)

      This method sets the reference leaving chilled water temperature of the chiller.

    - #### setRefLeavingCondenserFluidTemp

          public void setRefLeavingCondenserFluidTemp(java.lang.String parameter)

      This method sets the reference leaving condenser water temperature of the chiller.

    - #### setRefChilledWaterFlowRate

          public void setRefChilledWaterFlowRate(java.lang.String parameter)

      This method sets the reference chilled water flow rate of the chiller.

    - #### setRefCondenserWaterFlowRate

          public void setRefCondenserWaterFlowRate(java.lang.String parameter)

      This method sets the condenser water flow rate of the chiller.

    - #### getCompMotorEfficiency

          public java.lang.String getCompMotorEfficiency()

      This method gets the compressor efficiency of the chiller.

    - #### setCompMotorEfficiency

          public void setCompMotorEfficiency(java.lang.String compMotorEfficiency)

      This method sets the compressor efficiency of the chiller.

    - #### getMinPLR

          public java.lang.String getMinPLR()

      This method gets the minimum part load ratio of the chiller.

    - #### setMinPLR

          public void setMinPLR(java.lang.String minPLR)

      This method sets the minimum part load ratio of the chiller.

    - #### getMaxPLR

          public java.lang.String getMaxPLR()

      This method gets the maximum part load ratio of the chiller.

    - #### setMaxPLR

          public void setMaxPLR(java.lang.String maxPLR)

      This method gets the maximum part load ratio of the chiller.

    - #### getOptPLR

          public java.lang.String getOptPLR()

      This method gets the optimum part load ratio of the chiller.

    - #### setOptPLR

          public void setOptPLR(java.lang.String optPLR)

      This method gets the optimum part load ratio of the chiller.

    - #### getMinULR

          public java.lang.String getMinULR()

      This method gets the minimum unloading ratio of the chiller.

    - #### setMinULR

          public void setMinULR(java.lang.String minULR)

      This method sets the minimum unloading ratio of the chiller.

    - #### getStringDefinitionOfReformElectricEIRObject

          public java.lang.String getStringDefinitionOfReformElectricEIRObject()

      This method gets the comments definition of the chiller.

    - #### setStringDefinitionOfReformElectricEIRObject

          public void setStringDefinitionOfReformElectricEIRObject(java.lang.String stringDefinitionOfReformElectricEIRObject)

      This method sets the comments definition of the chiller.